Subject: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Nov 2020 21:15:56 +0200

> From: Arthur Miller <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Mon, 23 Nov 2020 19:34:26 +0100
> 
> >> This has to be something introduced fairly recently, right?
> >
> > Maybe, I'm not sure.  Since we introduced the pdumper, we use malloc
> > somewhat differently, and OTOH glibc removed some of the malloc hooks
> > we used to use in versions of Emacs before 26.  In addition, glibc is
> > also being developed, and maybe some change there somehow triggered
> > this.
> It has past long since v 26, and pdumber as well :-) You know I am
> rebuilding all the time and am on relatively latest master so I would
> have noticed it earlier, so it must be something since last month or so,

Not necessarily.  This problem seems to happen rarely, and not for
everyone.  So it's entirely possible you didn't see it by sheer luck.

> > If the problem is memory, I suggest to look at the system log to see
> > if there are any signs of that.
> Nothing else crashes, and I have 32 gig, so I am not sure what can be a
> problem.

Then it most probably isn't memory.  IOW, not the problem discussed in
this bug report.